BSON_OID_COMPARE(3)

NAME
bson_oid_compare - bson_oid_compare()

SYNOPSIS

int
bson_oid_compare (const bson_oid_t *oid1, const bson_oid_t *oid2);

PARAMETERS

•   oid1: A bson_oid_t.

•   oid2: A bson_oid_t.

DESCRIPTION

The bson_oid_compare() function shall return a qsort() style value of a lexicographical sort of _oid1_ and _oid2_.

RETURNS

less than 0, 0, or greater than 0 based on the comparison.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc